PETSc version 3.15.5
Fix/Edit manual page

# SNESLINESEARCHBASIC

This line search implementation is not a line search at all; it simply uses the full step. Thus, this routine is intended for methods with well-scaled updates; i.e. Newton's method (SNESNEWTONLS), on well-behaved problems.

### Options Database Keys

| -snes_linesearch_damping <damping> | - search vector is scaled by this amount, default is 1.0
| -snes_linesearch_norms <flag> | - whether to compute norms or not, default is true (SNESLineSearchSetComputeNorms())

### Notes

For methods with ill-scaled updates (SNESNRICHARDSON, SNESNCG), a small damping parameter may yield satisfactory but slow convergence despite the simplicity of the line search.

### See Also

SNESLineSearchCreate(), SNESLineSearchSetType(), SNESLineSearchSetDamping(), SNESLineSearchSetComputeNorms()

### Level

advanced

### Location

src/snes/linesearch/impls/basic/linesearchbasic.c

### Examples

src/ts/tutorials/ex22.c.html
src/ts/tutorials/ex22f.F.html
src/ts/utils/dmplexlandau/tutorials/ex1.c.html
src/ts/utils/dmplexlandau/tutorials/ex1f90.F90.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages